package org.project.item.consumables;

import org.project.Colors;
import org.project.entity.Entity;
import org.project.entity.players.Player;

public class ManaPotion extends Consumable{
    public ManaPotion() {
        super("Mana Potion", 20, "Player");
    }

    @Override
    public void use(Entity entity) {
        Player p = (Player) entity;
        System.out.println("You drink The potion. +20 " + Colors.BLUE + "Mana" + Colors.RESET + ".");
        p.setMp(p.getMp() + 20);
    }

    @Override
    public String toString() {
        return "Mana Potion:\n" +Colors.COIN + "20 coins" +Colors.RESET +"\nRestores 20 MP instantly";
    }
}
